﻿using System;
using System.IO;

namespace GrapeCity.ActiveAnalysis.Samples
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();

        	_dataSource.LocalCubeFile = MyDocumentsPath + @"\GrapeCity\ActiveAnalysis\DataSources\NWind\NwindLocalCube.ddacube";
			_dataSource.Connect();

			_pivotView.Read(new FileInfo(MyDocumentsPath + @"\GrapeCity\ActiveAnalysis\Layouts\NWind\Discount vs Freight.analysis"), PersistSettings.Layout);
		}

		#region Helpers

		private static string MyDocumentsPath
		{
			get { return Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments); }
		}

		#endregion
    }
}
